@extends('layouts.admin') 

@section('content')  
<input type="hidden" id="headerdata" value="{{ __('CURRENCY') }}">
<div class="content-area">
	<div class="mr-breadcrumb">
		<div class="row">
			<div class="col-lg-12">
					<h4 class="heading">{{ __('Options groups') }}</h4>
					<ul class="links">
						<li>
							<a href="{{ route('admin.dashboard') }}">
								{{ __('Dashboard') }} 
							</a>
						</li>
						
						<li>
							<a href="{{ url('admin/options_groups') }}"> 
								{{ __('Options groups') }}
							</a>
						</li>
					</ul>
			</div>
		</div>
	</div>
	<div class="product-area">
		<div class="row">
			<div class="col-lg-12">
			<div class="row btn-area ">
				<div class="col-sm-4">
				</div>
				<div class="col-sm-4">
				</div>
				<div class="col-sm-4">
					<a href="{!! url('admin/option_groups/create') !!}" class="add-btn">
						<i class="fas fa-plus"></i>
						<span class="remove-mobile">
							{!! __('Create ') !!}
						</span>
					</a>
				</div>
			</div>  
			<div class="mr-table allproduct">

				@include('includes.admin.form-success') 

				<div class="table-responsiv">
						<table id="geniustable" class="table table-hover dt-responsive text-center" cellspacing="0" width="100%">
							<thead>
								<tr>
									<th> # </th>
			                        <th>{{ __('Name') }}</th>
			                        <th>{{ __('Options') }}</th>
								</tr>
							</thead>
							<tbody>
								@foreach($resources as $resource )
									<tr  id="removable_{!! $resource->id !!}">
										<td>{!! $loop->iteration !!}</td>
										<td>{!! $resource->name !!}</td>
										<td>
											<div class="godropdown">
												<button class="go-dropdown-toggle"> {!! __('Actions') !!} 
													<i class="fas fa-chevron-down"></i>
												</button>
												<div class="action-list">
													<a href="{!! url('admin/option_groups/'.$resource->id.'/edit') !!}"> 
														<i class="fas fa-edit"></i>{!! __('Edit') !!}
													</a>
													<a href="javascript:;" data-href="{!! route('admin.option_groups.delete',$resource->id) !!}" data-toggle="modal" data-target="#confirm-delete_{!! $resource->id !!}" class="delete">
														<i class="fas fa-trash-alt"></i> {!! __('Delete') !!} 
													</a>


												</div>
											</div>


											<div class="modal fade" id="confirm-delete_{!! $resource->id !!}" tabindex="-1" role="dialog" aria-labelledby="modal1" aria-hidden="true">
											  <div class="modal-dialog">
											    <div class="modal-content">

												<div class="modal-header d-block text-center">
													<h4 class="modal-title d-inline-block">{{ __('Confirm Delete') }}</h4>
														<button type="button" class="close" data-dismiss="modal" aria-label="Close">
															<span aria-hidden="true">&times;</span>
														</button>
												</div>

											      <!-- Modal body -->
											      <div class="modal-body">
											            <p class="text-center">{{ __('You are about to delete this Currency.') }}</p>
											            <p class="text-center">{{ __('Do you want to proceed?') }}</p>
											      </div>

											      <!-- Modal footer -->
											      <div class="modal-footer justify-content-center">
											            <button type="button" class="btn btn-default" data-dismiss="modal">{{ __('Cancel') }}</button>
											            <a href="{!! route('admin.option_groups.delete',$resource->id) !!}" class="btn btn-danger btn-ok">{{ __('Delete') }}</a>
											      </div>

											    </div>
											  </div>
											</div>
										</td>
									</tr>
								@endforeach
							</tbody>
						</table>

						{!! $resources->links() !!}
				</div>
			</div>
			</div>
		</div>
	</div>
</div>


{{-- ADD / EDIT MODAL --}}

<div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="modal1" aria-hidden="true">
	<div class="modal-dialog modal-dialog-centered" role="document">
		<div class="modal-content">
				<div class="submit-loader">
						<img  src="{{asset('assets/images/'.$gs->admin_loader)}}" alt="">
				</div>
			<div class="modal-header">
				<h5 class="modal-title"></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">

			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-secondary" data-dismiss="modal">
					{{ __('Close') }}
				</button>
			</div>
		</div>
	</div>
</div>

{{-- ADD / EDIT MODAL ENDS --}}


{{-- DELETE MODAL --}}

<div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="modal1" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">

	<div class="modal-header d-block text-center">
		<h4 class="modal-title d-inline-block">{{ __('Confirm Delete') }}</h4>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
	</div>

      <!-- Modal body -->
      <div class="modal-body">
            <p class="text-center">{{ __('You are about to delete this Currency.') }}</p>
            <p class="text-center">{{ __('Do you want to proceed?') }}</p>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer justify-content-center">
            <button type="button" class="btn btn-default" data-dismiss="modal">{{ __('Cancel') }}</button>
            <a class="btn btn-danger btn-ok">{{ __('Delete') }}</a>
      </div>

    </div>
  </div>
</div>

{{-- DELETE MODAL ENDS --}}


@endsection    



@section('scripts')


@endsection   